From 1ce028e55e9fdb2fc259a53be04cebcce6410ffd Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Dec 04 2023 21:26:54 +0000
Subject: [PATCH 5/19] [searx]: upgrade to v1.1.0


---

diff --git a/pcr/searx/PKGBUILD b/pcr/searx/PKGBUILD
index 08dab5e..e3593d3 100644
--- a/pcr/searx/PKGBUILD
+++ b/pcr/searx/PKGBUILD
@@ -1,19 +1,22 @@
 # Maintainer (aur): Jake <aur@ja-ke.tech>
+# Maintainer: Parabola Hackers <dev@lists.parabola.nu>
+
+
 # parabola changes and rationale:
-# - Fixed license
-# - Moved random secret key generation in the .install: having that in 
-#   prepare() is not obtimal even for AUR, but it still works fine in many 
-#   cases because users run the package on the machine that compiles it, so
-#   even if it ends up in the package, it's not a big issue, unless users share
-#   the package as they are not aware of this issue in the first place.
+# libre:
+# - Fixed license name in 'license' array
+# privacy:
+# - Moved random secret key generation into an .install hook
+# technical:
+# - Renamed upstream source-ball
+
 
 pkgname=searx
-pkgver=0.16.0
+pkgver=1.1.0
 pkgrel=2
-pkgrel+=par1
 pkgdesc="A privacy-respecting, hackable metasearch engine (python(3) based)"
 arch=('any')
-url="https://asciimoo.github.io/searx/"
+url="https://searx.github.io/searx/"
 license=('AGPL3')
 makedepends=('openssl')
 install="${pkgname}.install"
@@ -21,34 +24,37 @@ depends=(
         'uwsgi'
         'uwsgi-plugin-python'
         'python-certifi'
-        'python-flask'
-        'python-flask-babel'        
+        'python-flask-babel' # sub dep: flask, babel, jinja
         'python-lxml'
         'python-idna'
         'python-pygments'
-        'python-pyopenssl'
-        'python-dateutil'        
+        'python-dateutil'
         'python-yaml'
         'python-requests'
-        'python-pysocks')
+        'python-pysocks'
+        'python-langdetect')
 conflicts=('searx-git' )
 replaces=('searx-py3')
 backup=('etc/searx/settings.yml' 'etc/uwsgi/searx.ini')
-source=("https://github.com/asciimoo/searx/archive/v$pkgver.zip"
+source=(${pkgname}-${pkgver}.zip::https://github.com/searx/searx/archive/refs/tags/v1.1.0.zip
+        'flask-babel-3.patch'
         'searx.ini'
-        'searx.sysusers'
-        '0003-Fix-deprecated-werkzeug-import.patch')
-sha512sums=('3ae4e4c295830e65eefbd39ed9885b60a42a4d4db4d87c179ace76cf43f8c75d49f1363f019bedd135c0597191612e16592cacd159ae97a42a25dcc2fee9d00b'
-            '6e1e7771e747e2bcb9cbc3e5ec9735461b6d791c0c0412e06e7dd802c18625edd0916de32164bf780c18ef7b6a87f55ed1e917377b3adb2bf53c0344f34b49e8'
-            '6856e26451fe053d37c2ce4b9d5f3b35891dd8ec702c5256c02d04415124c57705abc497f12943948a85621bb0238d26c2c1f3a7bf42404a6ff1487c7655909e'
-            '064738f57b8bfbd937d56c592f7321140aab5f894e8ea457ae0d2d9407523f58471f4ba7424968f1d6db7fe51e4f8d360d1e997284eeb7b8528dbcf10f5f12dd')
+        'searx.sysusers')
+sha512sums=('ed92199913353ed246ff30c516402326e9eac0f439b4519d6500b516f9ef73e73d0b25d894c078fb9b65870f2b10a09777d1ae068d13c8e10c91ec14de450b1e'
+            '1db543553aa4989e1cb9fb449a1c4badfd5a1c8e39afc99b5f894557ba74b9293b64d02882919ce9f2e4c108a6cd3b7acb51043e98bc3bab40e69078fbe8813f'
+            '476a4297c51681a9a92c6db3933359cc5a8ec292e45b229d98608ef2906b80c173868a30df06c329204c6f9371736a5bb322239860199526fd559780b37a2d0a'
+            '6856e26451fe053d37c2ce4b9d5f3b35891dd8ec702c5256c02d04415124c57705abc497f12943948a85621bb0238d26c2c1f3a7bf42404a6ff1487c7655909e')
 
 prepare() {
   cd "$srcdir/$pkgname-$pkgver"
-  patch --forward --strip=1 --input="${srcdir}/0003-Fix-deprecated-werkzeug-import.patch"
+
+  patch -Np1 < ../flask-babel-3.patch
 
   # Allow newer versions of the dependencies
   sed -i "s|==|>=|g" requirements.txt
+
+  # Generate a random secret key
+  # parabola does this in the .install hook (privacy concern)
 }
 
 package() {
diff --git a/pcr/searx/searx.ini b/pcr/searx/searx.ini
index 7681436..ee7d3c1 100644
--- a/pcr/searx/searx.ini
+++ b/pcr/searx/searx.ini
@@ -31,3 +31,6 @@ module = searx.webapp
 #virtualenv = /usr/local/searx/searx-ve/
 #pythonpath = /usr/local/searx/
 #chdir = /usr/local/searx/searx/ 
+
+# Cache: https://uwsgi-docs.readthedocs.io/en/latest/Caching.html
+cache2 = name=searxcache,items=2000,blocks=2000,blocksize=4096,bitmap=1

